Name:          python-varint
Version:       1.0.2
Release:       %autorelease
BuildArch:     noarch
Summary:       A basic varint implementation in python
License:       MIT
URL:           https://github.com/fmoo/%{name}
# No license file in PyPi tarball.
# Upstram bug - https://github.com/fmoo/python-varint/issues/7
Source:        %{url}/archive/%{version}/varint-%{version}.tar.gz
BuildRequires: python3-devel

%description
%{summary}.

%package -n python3-varint
Summary: %{summary}.

%description -n python3-varint
%{summary}.

%prep
%autosetup -p1 -n python-varint-%{version}

%generate_buildrequires
%pyproject_buildrequires

%build
%pyproject_wheel

%install
%pyproject_install
%pyproject_save_files varint

%check
%pyproject_check_import

%files -n python3-varint -f %{pyproject_files}
%license LICENSE

%changelog
%autochangelog
